Subject: Solaris 2.4 strange bad file number using ls

From: "Adam Eberbach" <[email-masked]>
Date: Tue, 6 Jun 1995 08:33:29 +1000

I have compiled and I believe installed correctly wu-ftpd 2.4. Users 
in the real class (i.e. me and my password) can login and use ftp 
with no trouble. However, the anonymous user cannot use the 'ls' 
command - an error message of 

200 PORT command successful
425 Can't create data socket (0.0.0.0,20): Bad file number.

which I don't understand. I don't know if it's a Solaris problem or a 
wu-ftpd problem, but I'm hoping someone has had this happen to them 
and can suggest a course of action. Moving the ftp home directory 
hasn't helped, nor has changing the shell specified for the ftp user 
or changing the uid of 'ftp'.

Adam Eberbach, R&D Engineer, Dataplex Pty. Ltd.